## gnu-efi 3.0d

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 SUBDIRS = lib gnuefi inc apps
 
-all:	$(SUBDIRS)
+all:	check_gcc $(SUBDIRS)
 
 $(SUBDIRS):
 	$(MAKE) -C $@
@@ -39,4 +39,13 @@
 
 .PHONY:	$(SUBDIRS) clean depend
 
+#
+# on both platforms you must use gcc 3.0 or higher 
+#
+check_gcc:
+ifeq ($(GCC_VERSION),2)
+	@echo "you need to use a version of gcc >= 3.0, you are using `$(CC) --version`"
+	@exit 1
+endif
+
 include Make.rules
