=== lib/Makefile ===
--- 
+++ 
@@ -21,7 +21,14 @@
 #  02111-1307, USA.
 #
 
-include ../Make.defaults
+SRCDIR = .
+
+VPATH = $(SRCDIR)
+
+include $(SRCDIR)/../Make.defaults
+
+TOPDIR = $(SRCDIR)/..
+
 CDIR = $(TOPDIR)/..
 FILES = boxdraw smbios console crc data debug dpath  \
         error event guid hand hw init lock   \
@@ -39,13 +46,22 @@
 
 OBJS  = $(FILES:%=%.o)
 
+SUBDIRS = ia32 x86_64 ia64 runtime
+
+all: libsubdirs libefi.a
+
+libsubdirs:
+	for sdir in $(SUBDIRS); do mkdir -p $$sdir; done
+
 libefi.a: libefi.a($(OBJS))
 
 clean:
 	rm -f libefi.a *~ $(OBJS) */*.o
 
 install: libefi.a
-	mkdir -p $(INSTALLROOT)/lib
-	$(INSTALL) -m 644 libefi.a $(INSTALLROOT)/lib/
+	mkdir -p $(INSTALLROOT)/$(LIBDIR)
+	$(INSTALL) -m 644 libefi.a $(INSTALLROOT)/$(LIBDIR)
 
-include ../Make.rules
+include $(SRCDIR)/../Make.rules
+
+.PHONY: libsubdirs
