## gnu-efi 3.0s+debian

=== debian/changelog ===
gnu-efi (3.0s+debian-1ubuntu2) raring; urgency=low

  * Restore -fno-stack-protector; this is needed to build packages linked
    against gnu-efi, such as efilinux.  This change is now in a patch with a
    header explaining the reasoning, to try to avoid it being dropped in
    future.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jan 2013 11:58:51 +0000

gnu-efi (3.0s+debian-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable, dropped changes:
    - gnuefi/elf_x86_64_efi.lds: align the .reloc section; merged upstream.
    - Build with -fno-stack-protector; no longer needed.
  * debian/rules: past architecture arguments when building the x86_64 code on
    i386; otherwise the upstream build system wrongly assumes that if uname
    says x86_64, it doesn't have to pass -m64 to the compiler.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Dec 2012 18:00:52 -0800

gnu-efi (3.0s+debian-1) unstable; urgency=low

  * Merging upstream version 3.0s+debian.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 11 Dec 2012 07:19:59 +0100

gnu-efi (3.0r+debian-1) experimental; urgency=low

  * Merging upstream version 3.0r+debian (Closes: #637276, #679627):
    - Rebuilding upstream tarball without debian directory.
  * Removing useless whitespaces at EOL and EOF.
  * Updating package to debhelper version 9.
  * Updating package to standards version 3.9.4.
  * Making build-depends on binutils unversioned, already fulfilled by
    wheezy.
  * Sorting architectures in gcc-multilib build-depends alphabetically.
  * Wrapping build-depends to 80 chars per line.
  * Adding homepage field.
  * Sorting architectures field alphabetically.
  * Removing pre-wheezy conflicts on libc6-i386.
  * Removing French spacing in package long-description.
  * Rewriting copyright file in copyright-format version 1.0.
  * Prefixing debhelper files with package name.
  * Simplifying debhelper docs file by using wildcard.
  * Removing watch file.
  * Reorganizing rules file in minimized debhelper form.
  * Switching to source format 3.0 (quilt).
  * Switching to xz compression.
  * Adding todo file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 25 Sep 2012 09:07:00 +0200

gnu-efi (3.0i-4) unstable; urgency=low

  * Updating maintainers and uploaders fields:
    - Removing Julien from uploaders, he resigned from the project
      (Closes: #688546).
    - Removing Bdale from uploaders as he wished.
    - Adding myself as maintainer.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 25 Sep 2012 08:14:53 +0200

gnu-efi (3.0i-3ubuntu2) quantal; urgency=low

  * gnuefi/elf_x86_64_efi.lds: align the .reloc section; otherwise the
    generated binaries may not validate correctly with Secure Boot.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Jul 2012 21:08:10 -0700

gnu-efi (3.0i-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes: LP: #595499
    - Build with -fno-stack-protector.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 17 Jun 2010 18:20:21 +0530

gnu-efi (3.0i-3) unstable; urgency=low

  * Re-enable optimisation for x64 builds; culprit found & fixed, not related
    to optimization.

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
    + Add ${misc:Depends}.

 -- Julien BLACHE <jblache@debian.org>  Wed, 05 May 2010 18:18:54 +0200

gnu-efi (3.0i-2ubuntu1) lucid; urgency=low

  * Merge from debian testing. (LP: #488797) Remaining changes:
    - Build with -fno-stack-protector.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 08 Jan 2010 13:14:01 +0530

gnu-efi (3.0i-2) unstable; urgency=low

  * Disable optimization for x64 builds; it looks very much like there is an
    issue between the call wrapper and optimizations, leading to interesting
    and subtle breakages at runtime.

 -- Julien BLACHE <jblache@debian.org>  Wed, 11 Nov 2009 10:16:08 +0100

gnu-efi (3.0i-1) unstable; urgency=low

  * New upstream release.
    + Support for FreeBSD (closes: #535696).

  * debian/control:
    + Make kfreebsd-amd64 a supported architecture.
    + Build-depend on gcc-multilib on kfreebsd-amd64 too.
  * debian/rules:
    + Add support for both kfreebsd-{i386,amd64}.
    + Install FreeBSD x86_64 linker script on kfreebsd-amd64.
    + Do not install ia64-specific headers on i386/amd64, do not install
      i386/amd64-specific headers on ia64.

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Sep 2009 11:38:57 +0200

gnu-efi (3.0h-1) unstable; urgency=low

  * Clean up and recover from a broken NMU.

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).
    + Added myself as uploader.

  * gnuefi/elf_ia32_efi.lds:
    + Fix linker script for elf-i386 (closes: #545202).

 -- Julien BLACHE <jblache@debian.org>  Fri, 11 Sep 2009 18:26:22 +0200

gnu-efi (3.0h-0.1) unstable; urgency=low

  * NMU
  * New upstream version.
  * Bump to Standards-Version 3.8.2.
  * Add watch file.
  * Conflict with libc6-i386 (<= 2.9-18).  closes: #533003.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Aug 2009 12:06:40 -0400

gnu-efi (3.0e-3) unstable; urgency=low

  * Non-maintainer upload with maintainer's consent.

  * debian/rules:
    + Move files from /emul/ia32-linux to /usr/lib32 (closes: #533003).

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Wed, 17 Jun 2009 16:41:26 +0200

gnu-efi (3.0e-2) unstable; urgency=low

  * Fixes wrong lib when cross-building, Closes: #482077
  * Fixes x86_64 builds on i386, Closes: #482078
  * Acknowledge NMU, Closes: #473721

 -- Nigel Croxon <nigel.croxon@hp.com>  Wed, 04 Jun 2008 15:11:12 -0600

gnu-efi (3.0e-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix installing below /emul/ia32-linux/usr/lib (not /usr/lib32) on
    AMD64. This closes: bug#473721.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Apr 2008 01:22:35 +0200

gnu-efi (3.0e-1) unstable; urgency=low


