=== gnuefi/Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 all:	$(TARGETS)
 
-libgnuefi.a: libgnuefi.a($(OBJS))
+libgnuefi.a: $(patsubst %,libgnuefi.a(%),$(OBJS))
 
 clean:
 	rm -f $(TARGETS) *~ *.o $(OBJS)
