=== lib/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 libsubdirs:
 	for sdir in $(SUBDIRS); do mkdir -p $$sdir; done
 
-libefi.a: libefi.a($(OBJS))
+libefi.a: $(patsubst %,libefi.a(%),$(OBJS))
 
 clean:
 	rm -f libefi.a *~ $(OBJS) */*.o
