=== debian/changelog ===
gnu-efi (3.0u+debian-4ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/gcc46-compatibility: don't break with old compilers
      and -DGNU_EFI_USE_MS_ABI.
  * Dropped changes, included in Debian:
    - pass architecture arguments when building the x86_64 code on i386

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Apr 2014 19:45:05 -0700

gnu-efi (3.0u+debian-4) unstable; urgency=low

  * Updating to standards version 3.9.5.
  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 19:56:19 +0200

gnu-efi (3.0u+debian-3) experimental; urgency=low

  * Updating vcs fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 17 Oct 2013 10:06:18 +0200

gnu-efi (3.0u+debian-2) experimental; urgency=low

  [ Daniel Baumann ]
  * Adding vcs fields.

  [ Steve Langasek ]
  * Passing architecture arguments when building the x86_64 code on i386;
    otherwise the upstream build system wrongly assumes that if uname says
    x86_64, it doesn't have to pass -m64 to the compiler.

  [ Daniel Baumann ]
  * Wrapping control fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 10:34:32 +0200

gnu-efi (3.0u+debian-1ubuntu2) saucy; urgency=low

  * debian/patches/gcc46-compatibility: don't break with old compilers
    and -DGNU_EFI_USE_MS_ABI.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Sep 2013 06:41:55 +0000

gnu-efi (3.0u+debian-1ubuntu1) saucy; urgency=low

  * Merge from Debian experimental, remaining changes:
    - pass architecture arguments when building the x86_64 code on i386
  * Dropped changes, included upstream:
    - build with -fno-stack-protector.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Jul 2013 05:50:05 +0000

gnu-efi (3.0u+debian-1) experimental; urgency=low

  * Merging upstream version 3.0u+debian (Closes: #712639).
  * Dropping no-stack-protector.patch, included upstream.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 18 Jun 2013 10:38:29 +0200

gnu-efi (3.0t+debian-2) experimental; urgency=low

  * Dropping suggests on elilo.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 09 Jun 2013 10:04:12 +0200

gnu-efi (3.0t+debian-1) experimental; urgency=low

  * Merging upstream version 3.0t+debian.
  * Updating year in copyright file.
  * Refreshing no-stack-protector.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 13 Mar 2013 18:22:37 +0100

gnu-efi (3.0s+debian-3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:46:34 +0100

gnu-efi (3.0s+debian-2) unstable; urgency=low

  * Adding no-stack-protector.patch from Colin Watson
    <cjwatson@ubuntu.com> to make other packages being able to link
    against gnu-efi.
  * Dropping dpkg-source compression levels.
  * Adding dpkg-source local-options.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 20 Feb 2013 16:41:16 +0100
