=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 %:
-	dh ${@}
+	dh ${@} --parallel
 
 override_dh_auto_build:
 ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
@@ -32,7 +32,7 @@
 	rm -rf build-*
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_install:
 	dh_install
