=== debian/changelog ===
gnu-efi (3.0v-5) unstable; urgency=medium

  * inc/efistdarg.h: Use gcc builtins instead of stubs
    - The last upload of gnu-efi caused things to compile, but severely
      broke them.

 -- Julian Andres Klode <jak@debian.org>  Mon, 21 Jul 2014 13:20:23 +0200

gnu-efi (3.0v-4) unstable; urgency=medium

  * Take over maintenance
  * Add git information and git-buildpackage configuration
  * Use gbp pq for maintaining the patch queue
  * inc/efistdarg.h: Stub out va_copy (Closes: #753682)

 -- Julian Andres Klode <jak@debian.org>  Sat, 19 Jul 2014 14:02:06 +0200

gnu-efi (3.0v-3) unstable; urgency=low

  * Stepping down from maintainers, no interest anymore since syslinux uses
    its own copy of gnu-efi that is bundled and sort-of impossible to patch
    out.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 16 Jul 2014 21:49:17 +0200

gnu-efi (3.0v-2) unstable; urgency=low

  * Temporarily build without stdarg.h in efistdarg.h (Closes: #747158).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 06 May 2014 06:15:54 +0200

gnu-efi (3.0v-1) unstable; urgency=low

  * Merging upstream version 3.0v.
  * Updating year in copyright file.
  * Updating make calls in rules for new upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Apr 2014 13:03:14 +0200
