=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,12 @@
 override_dh_auto_build:
 ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
 	mkdir build-ia32
-	$(MAKE) -C build-ia32 -f ../Makefile SRCDIR=.. ARCH=ia32
+	$(MAKE) -C build-ia32 -f ../Makefile SRCDIR=$(CURDIR) ARCH=ia32
  endif
 
 ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
 	mkdir build-x86_64
-	$(MAKE) -C build-x86_64 -f ../Makefile SRCDIR=.. ARCH=x86_64 HOSTARCH=ia32
+	$(MAKE) -C build-x86_64 -f ../Makefile SRCDIR=$(CURDIR) ARCH=x86_64 HOSTARCH=ia32
 endif
 
 	$(MAKE) ARCH=$(BUILD_ARCH)
